=== debian/changelog ===
obs-studio (29.1.3+dfsg-2~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 30 Oct 2023 13:41:42 -0700

obs-studio (29.1.3+dfsg-2) unstable; urgency=medium

  * Generalize the prevention of SIMD-builds
    + Disable SIMD on i386 (and ignore up psABI warnings)
      (Fixes FTBFS on i386)
  * Add patch to fix out-of-type-limits comparison if (char)==(unsigned char)
    (Fixes FTBFS on armel, armhf, ppc64el, s390x)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 02 Aug 2023 13:39:19 +0200

obs-studio (29.1.3+dfsg-1) unstable; urgency=medium

  * New upstream version 29.1.3+dfsg
    + Refresh patches
  * Update simde patch
  * Fix FTBFS due to overzealous warnings
  * Fix format-error FTBFS on 32bit archs
  * Add patch to prevent underlinking
  * Globally apply "-fvisibility=hidden"
    + Drop symbols removed with visibility=hidden
    + Add new symbols
  * Add lintian-overrides for half-excluded files
  * Update d/copyright
    + Refresh licensecheck exclusion rules
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 31 Jul 2023 14:10:09 +0200
